CustomerGroups
Bulk delete customer group product variant prices
Deletes multiple customer group product variant prices by their IDs. Accepts up to 100 price IDs. Returns lists of successfully deleted and failed deletion attempts.
DELETE
/
api
/
v1
/
{team_slug}
/
{app_slug}
/
customer-group-prices
Bulk delete customer group product variant prices
curl --request DELETE \
--url https://api.enad.io/api/v1/{team_slug}/{app_slug}/customer-group-prices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"price_ids": [
"<string>"
]
}
'import requests
url = "https://api.enad.io/api/v1/{team_slug}/{app_slug}/customer-group-prices"
payload = { "price_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({price_ids: ['<string>']})
};
fetch('https://api.enad.io/api/v1/{team_slug}/{app_slug}/customer-group-prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"failed": [
{
"id": "<string>",
"reason": "<string>"
}
],
"successful": [
"<string>"
]
},
"success": true,
"details": [
"<string>"
]
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}Authorizations
Management API token, sent as Authorization: Bearer <token>.
Body
application/json
Price IDs to delete
Required array length:
1 - 100 elements⌘I
Bulk delete customer group product variant prices
